Aruba: modulo zip archive

{ Posted on dic 19 2013 by maury }
Categories : WordPress

Non so se vi è mai capitato ma trasferendo un sito in WordPress su Aruba tramite il plugin Duplicator mi veniva segnalato che il modulo ZipArchive non era installato, dopo un po’ di ricerche ho trovato come risolvere: basta andare nel pannelo di controllo del dominio su Aruba, scegliere “Pannello di gestione hosting Linux” e poi selezionare l’ultimo Php.ini della lista “zip_cgi.fix_pathinfo” che ha l’abilitazione per estrarre archivi zip. Fatto tutto basta rimettere il php.ini ottimizzato per wordpress, facile no? (basta saperlo)


7 Responses to “Aruba: modulo zip archive”

  1. Ciao !
    Ho eseguito quasi tutti i passaggi.. pero’ non riesco a capire come fare questo:
    “Fatto tutto basta rimettere il php.ini ottimizzato per wordpress, facile no? (basta saperlo)”

    Grazie

  2. se accedi al pannello di controllo di Aruba vedrai che hai una sezione chiamata “Pannello gestione Hosting Linux”, lì dentro vai nel menu “Strumenti e impostazioni” (in alto) e al centro trovi “Personalizzazione del file PHP.INI”, ti si apre una finestra dove puoi selezionare il file php.ini da applicare al tuo hosting Linux… a questo punto basta premere “OK”

  3. buondì

    purtroppo la parte del “Fatto tutto basta rimettere il php.ini ottimizzato per wordpress” non è fattibile nel senso che:
    imposto zip_cgi
    faccio il backup (e funziona)
    reimposto php_wordpress
    il backuo schedulato non va+

    per cui se si usa la schedulazione è necessario tenere ZIP_CGI come impostazione di php

  4. per la schedulazione sì, hai ragione, è necessario tenere ZIP_CGI su ON
    diciamo che il limite è comunque di dover scegliere tra alcune versioni di php.ini preimpostate e di non potersi creare un configurazione custom

  5. Ciao, è la prima volta che mi capita questo problema. Ho un sito su un hosting linux di Aruba in cui ho installato wordpress. Ho acquistato un tema che contiene uno slider, che per essere importato richiede Zip Archive.

    Se segui le vostre istruzioni mi rovo davanti a queste opzioni:
    1 default Standard PHP.INI
    2 joomla Impostazione ottimizzata per l’utilizzo di joomla
    3 HTTP_extension Impostazioni avanzate per utenti esperti con: HTTP Extension
    4 cgi.fix_pathinfo Impostazioni avanzate per utenti esperti con: cgi.fix_pathinfo = 1
    5 Moodle Impostazione ottimizzata per Moodle 2.x
    6 PDFLite_extension Impostazioni avanzate per utenti esperti con: PDF lite Extension

    Quale di queste posso scegliere per non creare problemi e attivare Zip Archive?

    Grazie

  6. per quel che vedo nel mio pannello (hosting Linux su Aruba), le possibilità sono molte molte di più (sezione “Hosting Linux” del pannello di controllo, poi “Gestione Hosting Linux” – “Strumenti e Impostazioni” sezione “Personalizzazione del file PHP.INI”):
    ci sono 14 scelte, a mio avviso quella giusta è l’ultima “zip_cgi.fix_pathinfo”

  7. Non mi era mai capitato, ottime dritte ho risolto subito. Grazie!

    Diego

Post a Comment